export declare class SpwFieldMessage {
    /** Permet d'afficher ou pas une icône dans le message */
    showIcon?: boolean;
    /** Choix du variant du message */
    variant?: 'error' | 'hint' | 'warning' | 'success';
    private get variantIcon();
    private get elementClass();
    render(): any;
}
